<?php
/**
 * Extending the EntityAPIController for the person entity.
 */
class PersonEntityController extends EntityAPIController {
  
  public function buildContent($entity, $view_mode = 'full', $langcode = NULL, $content = array()) {
 
    $build = parent::buildContent($entity, $view_mode, $langcode, $content);
 //  dpm($entity);
    if(isset($entity->customer)){
    $build['customer'] = array(
      '#type' => 'markup',
      '#markup' => '<b>'. person_custom($entity->customer).'</b>',
      '#prefix' => '<div class="person_customer">',
      '#suffix' => '</div>',
      '#weight' => 1,
    );
    }
    $build['salutation'] = array(
      '#type' => 'markup',
      '#markup' => person_bool($entity->salutation),
      '#prefix' => '<div class="person_salutation">',
      '#suffix' => '</div>',
      '#weight' => 2,
    );
    if(isset($entity->prename)){
    $build['prename'] = array(
      '#type' => 'markup',
      '#markup' => check_plain($entity->prename),
      '#prefix' => '<div class="person_prename">',
      '#suffix' => '</div>',
        '#weight' => 3,
    );
    }
    if(isset($entity->name)){
    $build['name'] = array(
      '#type' => 'markup',
      '#markup' => check_plain($entity->name),
      '#prefix' => '<div class="person_name">',
      '#suffix' => '</div>',
      '#weight' => 4,
    );
    }
    if(isset($entity->field_person_strasse_hnr)){
        $person = field_get_items('person', $entity, 'field_person_strasse_hnr');
        $street = $person [0]['value'];
        $build['field_person_strasse_hnr'] = array(
         '#type' => 'markup',
        '#markup' => check_plain($street),
      '#prefix' => '<div class="person_street">',
      '#suffix' => '</div>',
      '#weight' => 5,
    );   
    }
    if(isset($entity->field_person_land)){
        $land = field_get_items('person', $entity, 'field_person_land');
        $country = $land [0]['value'];
        $build['field_person_land'] = array(
         '#type' => 'markup',
        '#markup' => check_plain($country).' - ',
      '#prefix' => '<div class="person_country">',
      '#suffix' => '</div>',
      '#weight' => 6,
    );   
    }
    if(isset($entity->field_person_plz)){
        $plz = field_get_items('person', $entity, 'field_person_plz');
        $plc = $plz [0]['value'];
        $build['field_person_plz'] = array(
         '#type' => 'markup',
        '#markup' => check_plain($plc),
      '#prefix' => '<div class="person_plc">',
      '#suffix' => '</div>',
      '#weight' => 7,
    );   
    }
    if(isset($entity->field_person_stadt)){
        $stadt = field_get_items('person', $entity, 'field_person_stadt');
        $city = $stadt [0]['value'];
        $build['field_person_stadt'] = array(
         '#type' => 'markup',
        '#markup' => check_plain($city),
      '#prefix' => '<div class="person_city">',
      '#suffix' => '</div>',
      '#weight' => 8,
    );   
    }
    if(isset($entity->field_person_tel_privat)){
        $tel_priv = field_get_items('person', $entity, 'field_person_tel_privat');
        $tel_private = $tel_priv     [0]['value'];
        $build['field_person_tel_privat'] = array(
         '#type' => 'markup',
        '#markup' => '<b>'.t('Tel').'</b>'.': '.check_plain($tel_private),
      '#prefix' => '<div class="person_comm">',
      '#suffix' => '</div>',
      '#weight' => 9,
    );   
    }
    if(isset($entity->field_tel_mobil)){
        $tel_mobil = field_get_items('person', $entity, 'field_tel_mobil');
        $tel_mobile = $tel_mobil [0]['value'];
        $build['field_tel_mobil'] = array(
         '#type' => 'markup',
        '#markup' => '<b>'.t('Mobil').'</b>'.': '.check_plain($tel_mobile),
      '#prefix' => '<div class="person_comm">',
      '#suffix' => '</div>',
      '#weight' => 10,
    );   
    }
    else{
        $build['field_tel_mobil'] = array(
         '#type' => 'markup',
        '#markup' => '  ',
    //    '#prefix' => '<div style="float:left; padding: 0 5px" class="pricedefault_kaufpreis">',
    //    '#suffix' => '</div>',
        '#weight' => 10,
    ); 
    }
    if(isset($entity->field_fax)){
        $fax = field_get_items('person', $entity, 'field_fax');
        $faxe = $fax [0]['value'];
        $build['field_fax'] = array(
         '#type' => 'markup',
        '#markup' => '<b>'.t('Fax').'</b>'.': '.check_plain($faxe),
      '#prefix' => '<div class="person_comm">',
      '#suffix' => '</div>',
      '#weight' => 11,
    );   
    }
    if(isset($entity->field_person_email)){
        $email = field_get_items('person', $entity, 'field_person_email');
        $mail = $email [0]['email'];
        $build['field_fax'] = array(
         '#type' => 'markup',
        '#markup' => '<b>'.t('Email').'</b>'.': '.'<a href="mailto:'.$mail.'">'.$mail.'</a>',
      '#prefix' => '<div class="person_comm">',
      '#suffix' => '</div>',
      '#weight' => 12,
    );   
    }   
return $build;
  }
  
}