<?php

class PersonInlineEntityFormController extends EntityInlineEntityFormController{
    
   /**
   * Overrides EntityInlineEntityFormController::defaultLabels().
   */
  public function defaultLabels() {
    $labels = array(
      'singular' => t('Person'),
      'plural' => t('Persons'),
    );
    return $labels;
  }
  

/**
 * Overrides EntityInlineEntityFormController::entityForm().
 */
 public function entityForm($entity_form, &$form_state) {
    $info = entity_get_info($this->entityType);
    $entity = $entity_form['#entity'];
    
    
    $entity_form ['customer'] = array(
    '#title' => t('Buyer-Seller?'),
    '#type' => 'select',
    '#options' => array(
    //  0 => t('Buyer'),
      1 => t('Seller')
    ),
    '#default_value' => isset($entity->customer) ? $entity->customer : '0',
    '#required' => TRUE,
    '#prefix' => '<div style="float:left; padding: 0 15px;min-height:100px;">',
    '#suffix' =>'</div>'
    );
    $entity_form ['salutation'] = array(
    '#title' => t('Salutation'),
    '#type' => 'select',
    '#options' => array(
      0 => t('Mr'),
      1 => t('Mrs')
    ),
    '#default_value' => isset($entity->salutation) ? $entity->salutation : '',
    '#required' => TRUE,
    '#prefix' => '<div style="float:left; padding: 0 15px;min-height:100px;">',
    '#suffix' =>'</div>'
    );
     $entity_form ['prename'] = array(
    '#title' => t('Prename'),
    '#type' => 'textfield',
    '#default_value' => isset($entity->prename) ? $entity->prename : '',
    '#required' => TRUE,
    '#prefix' => '<div style="clear:left; padding: 0 15px;min-height:100px;">',
    '#suffix' =>'</div>'
    );
     $entity_form ['name'] = array(
    '#title' => t('Name'),
    '#type' => 'textfield',
    '#default_value' => isset($entity->name) ? $entity->name : '',
    '#required' => TRUE,
    '#prefix' => '<div style="padding: 0 15px;min-height:100px;">',
    '#suffix' =>'</div>'
    );
    $entity_form ['person_adress'] = array(
        '#type' => 'fieldset',
        '#title' => t('Adress'),
        '#prefix' => '<div style="clear:left;">',
        '#suffix' =>'</div>'
    );
// Finde den schon gesetzten Wert für das Objekt heraus um es als default anzugeben
    
    $field_name = 'field_person_copy';
    $default_array = default_values_person($entity,$field_name);
    if($default_array){
        $default = $default_array[0];
    }
    else{
        $default = 'NO';
    }
    // Ziehe die Form aus der Entity um die fieldable jede für sich einzusetzen
    $field = field_info_field('field_person_copy');
    $instance = field_info_instance('person', 'field_person_copy', 'person');
    //dpm($instance);
    $my_field = field_default_form('person', $entity, $field, $instance, LANGUAGE_NONE, array(), $form, $form_state);

    $my_field['field_person_copy']['#fieldset'] = 'person_adress';
    $my_field['field_person_copy']['und']['#default_value']= $default;

    $entity_form += (array) $my_field;
    
// Finde den schon gesetzten Wert für das Objekt heraus um es als default anzugeben
    $field_name = 'field_person_strasse_hnr';
    $default_array = default_values_person_text($entity,$field_name);
    if($default_array){
        $default = $default_array;
    }
    else{
        $default = '';
    }
   // dpm($default,'Müsste str stehen');
    // Ziehe die Form aus der Entity um die fieldable jede für sich einzusetzen
    $field = field_info_field('field_person_strasse_hnr');
    $instance = field_info_instance('person', 'field_person_strasse_hnr', 'person');
    /**
     * to avoid warnings you have to set parents, I honestly don't know why!
     * https://api.drupal.org/comment/48938#comment-48938
     */
    if (!isset($form['#parents'])) {
        $form['#parents'] = array();
      }
    //dpm($instance);
    $my_field = field_default_form('person', $entity, $field, $instance, LANGUAGE_NONE, array(), $form, $form_state);
    //dpm($my_field);
    $my_field['field_person_strasse_hnr']['#fieldset'] = 'person_adress';

    $my_field['field_person_strasse_hnr']['und'][0]['value']['#default_value']= $default;
    
//    dpm($my_field);
    $entity_form += (array) $my_field;
    
// Finde den schon gesetzten Wert für das Objekt heraus um es als default anzugeben
    $field_name = 'field_person_plz';
    $default = default_values_person_text($entity,$field_name);
    
    // Ziehe die Form aus der Entity um die fieldable jede für sich einzusetzen
    $field = field_info_field($field_name);
    $instance = field_info_instance('person', $field_name, 'person');
    //dpm($instance);
    $my_field = field_default_form('person', $entity, $field, $instance, LANGUAGE_NONE, array(), $form, $form_state);
    //dpm($my_field);
     $my_field['field_person_plz']['#fieldset'] = 'person_adress';
    if ($default != ''){
    //Hau die default Werte dazu:
    $my_field['field_person_plz']['und'][0]['value']['#default_value']= $default;
//    $my_field['field_bad']['#fieldset'] = 'furn_basis';
    }
    $entity_form += (array) $my_field;

 // Finde den schon gesetzten Wert für das Objekt heraus um es als default anzugeben
    $field_name = 'field_person_stadt';
    $default = default_values_person_text($entity,$field_name);
    
    // Ziehe die Form aus der Entity um die fieldable jede für sich einzusetzen
    $field = field_info_field($field_name);
    $instance = field_info_instance('person', $field_name, 'person');
    //dpm($instance);
    $my_field = field_default_form('person', $entity, $field, $instance, LANGUAGE_NONE, array(), $form, $form_state);
    //dpm($my_field);
     $my_field['field_person_stadt']['#fieldset'] = 'person_adress';
    if ($default != ''){
    //Hau die default Werte dazu:
    $my_field['field_person_stadt']['und'][0]['value']['#default_value']= $default;
//    $my_field['field_bad']['#fieldset'] = 'furn_basis';
    }
    $entity_form += (array) $my_field;
    // Finde den schon gesetzten Wert für das Objekt heraus um es als default anzugeben
    $field_name = 'field_person_land';
    $default = default_values_person_text($entity,$field_name);
    
    // Ziehe die Form aus der Entity um die fieldable jede für sich einzusetzen
    $field = field_info_field($field_name);
    $instance = field_info_instance('person', $field_name, 'person');
    //dpm($instance);
    $my_field = field_default_form('person', $entity, $field, $instance, LANGUAGE_NONE, array(), $form, $form_state);
    //dpm($my_field);
    $my_field['field_person_land']['#fieldset'] = 'person_adress';
    if ($default != ''){
    //Hau die default Werte dazu:
    $my_field['field_person_land']['und'][0]['value']['#default_value']= $default;
//    $my_field['field_bad']['#fieldset'] = 'furn_basis';
    }
    $entity_form += (array) $my_field;
    // Finde den schon gesetzten Wert für das Objekt heraus um es als default anzugeben
    $field_name = 'field_person_tel_privat';
    $default = default_values_person_text($entity,$field_name);
    
    // Ziehe die Form aus der Entity um die fieldable jede für sich einzusetzen
    $field = field_info_field($field_name);
    $instance = field_info_instance('person', $field_name, 'person');
    //dpm($instance);
    $my_field = field_default_form('person', $entity, $field, $instance, LANGUAGE_NONE, array(), $form, $form_state);
    //dpm($my_field);
    $my_field['field_person_tel_privat']['#fieldset'] = 'person_adress';
    if ($default != ''){
    //Hau die default Werte dazu:
    $my_field['field_person_tel_privat']['und'][0]['value']['#default_value']= $default;
//    $my_field['field_bad']['#fieldset'] = 'furn_basis';
    }
    $entity_form += (array) $my_field;
    
        // Ziehe die Form aus der Entity um die fieldable jede für sich einzusetzen
    $field = field_info_field($field_name);
    $instance = field_info_instance('person', $field_name, 'person');
    //dpm($instance);
    $my_field = field_default_form('person', $entity, $field, $instance, LANGUAGE_NONE, array(), $form, $form_state);
    //dpm($my_field);
    $my_field['field_person_land']['#fieldset'] = 'person_adress';
    if ($default != ''){
    //Hau die default Werte dazu:
    $my_field['field_person_land']['und'][0]['value']['#default_value']= $default;
//    
    }
    $entity_form += (array) $my_field;
    // Finde den schon gesetzten Wert für das Objekt heraus um es als default anzugeben
    $field_name = 'field_tel_mobil';
    $default = default_values_person_text($entity,$field_name);
    
    // Ziehe die Form aus der Entity um die fieldable jede für sich einzusetzen
    $field = field_info_field($field_name);
    $instance = field_info_instance('person', $field_name, 'person');
    //dpm($instance);
    $my_field = field_default_form('person', $entity, $field, $instance, LANGUAGE_NONE, array(), $form, $form_state);
    //dpm($my_field);
    $my_field['field_tel_mobil']['#fieldset'] = 'person_adress';
    if ($default != ''){
    //Hau die default Werte dazu:
    $my_field['field_tel_mobil']['und'][0]['value']['#default_value']= $default;
//    
    }
    $entity_form += (array) $my_field;
    // Finde den schon gesetzten Wert für das Objekt heraus um es als default anzugeben
    $field_name = 'field_fax';
    $default = default_values_person_text($entity,$field_name);
    
    // Ziehe die Form aus der Entity um die fieldable jede für sich einzusetzen
    $field = field_info_field($field_name);
    $instance = field_info_instance('person', $field_name, 'person');
    //dpm($instance);
    $my_field = field_default_form('person', $entity, $field, $instance, LANGUAGE_NONE, array(), $form, $form_state);
    //dpm($my_field);
    $my_field['field_fax']['#fieldset'] = 'person_adress';
    if ($default != ''){
    //Hau die default Werte dazu:
    $my_field['field_fax']['und'][0]['value']['#default_value']= $default;
//    
    }
    $entity_form += (array) $my_field;
    
        // Finde den schon gesetzten Wert für das Objekt heraus um es als default anzugeben
    $field_name = 'field_person_email';
    $default = default_values_person_text($entity,$field_name);
    
    // Ziehe die Form aus der Entity um die fieldable jede für sich einzusetzen
    $field = field_info_field($field_name);
    $instance = field_info_instance('person', $field_name, 'person');
    //dpm($instance);
    $my_field = field_default_form('person', $entity, $field, $instance, LANGUAGE_NONE, array(), $form, $form_state);
    //dpm($my_field);
    $my_field['field_person_email']['#fieldset'] = 'person_adress';
    if ($default != ''){
    //Hau die default Werte dazu:
    $my_field['field_person_email']['und'][0]['value']['#default_value']= $default;
//  
    }
    $entity_form += (array) $my_field;
    
    return $entity_form;
  }
}




  
 
  